@echo off
cls
echo This batch file will install the BATCON system in the directory
echo C:\BATCON and a subdirectory C:\BATCON\ARCHIVES
echo overwriting any existing files with the same names.  Press
echo Control-C to cancel.  Otherwise,
pause
md c:\batcon
md c:\batcon\archives
copy readme.txt c:\batcon >nul
if errorlevel==1 goto error
copy *.bat c:\batcon >nul
if errorlevel==1 goto error
copy *.exe c:\batcon >nul
if errorlevel==1 goto error
if errorlevel==1 goto error
copy *.ini c:\batcon >nul
if errorlevel==1 goto error
copy *.zip c:\batcon\archives >nul
if errorlevel==1 goto error
copy file_id.diz c:\batcon\archives >nul
if errorlevel==1 goto error
echo For convenient operation, add the C:\BATCON directory to your search path,
echo thereby allowing you to run the conversion processes from any
echo directory.  Otherwise, change to the appropriate directory before
echo executing one of the batch files, e.g., with these commands.
echo c:
echo cd \batcon
echo  
echo Execute one of the conversions by entering its name at the DOS
echo prompt, e.g.,
echo doc2txt magazine
echo  
echo to produce the plain text file magazine.txt from the Microsoft Word
echo document magazine.doc.
goto end
:error
echo Aborting because DOS reported an error!
:end