@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the PKUNZIP program, convert a compressed archive with a >%output%
echo .zip extension to one or more files in their original format.  >%output%
echo Supply the base name of the input file as a parameter, e.g., >%output%
echo zip2any basename >%output%
echo produces one or more output files from the input file basename.zip >%output%
if "%output%"=="CON" goto end
if not exist %1.zip goto missing
pkunzip.exe -o %1.zip %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.zip not found!
:end